### Function

# Gimp type_set_translation_domain

#### Declaration [src]

    void
    gimp_type_set_translation_domain (
      GType type,
      const gchar* domain
    )

#### Description [src]

This function attaches a constant string as a gettext translation domain identifier to a `GType`. The only purpose of this function is to use it when registering a #G_TYPE_ENUM with translatable value names.

Available since: | 2.2

#### Parameters

`type` | `GType`
| A `GType`.
`domain` | `const gchar*`
| A constant string that identifies a translation domain or `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.